# ce_snmp_user – Manages SNMP user configuration on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages SNMP user configurations on CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aaa_local_user - |  | Unique name to identify the local user.
acl_number - |  | Access control list number.
auth_key - |  | The authentication password. Password length, 8-255 characters.

auth_protocol
-

Choices:
- noAuth
- md5
- sha

Authentication protocol.

priv_key - |  | The encryption password. Password length 8-255 characters.

priv_protocol
-

Choices:
- noPriv
- des56
- 3des168
- aes128
- aes192
- aes256

Encryption protocol.

remote_engine_id - |  | Remote engine id of the USM user.
user_group - |  | Name of the group where user belongs to.
usm_user_name - |  | Unique name to identify the USM user.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.

- Recommended connection is `netconf`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: CloudEngine snmp user test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: "Config SNMP usm user"
        ce_snmp_user:
          state: present
          usm_user_name: wdz_snmp
          remote_engine_id: 800007DB03389222111200
          acl_number: 2000
          user_group: wdz_group
          provider: "{{ cli }}"

      - name: "Undo SNMP usm user"
        ce_snmp_user:
          state: absent
          usm_user_name: wdz_snmp
          remote_engine_id: 800007DB03389222111200
          acl_number: 2000
          user_group: wdz_group
          provider: "{{ cli }}"

      - name: "Config SNMP local user"
        ce_snmp_user:
          state: present
          aaa_local_user: wdz_user
          auth_protocol: md5
          auth_key: huawei123
          priv_protocol: des56
          priv_key: huawei123
          provider: "{{ cli }}"

      - name: "Config SNMP local user"
        ce_snmp_user:
          state: absent
          aaa_local_user: wdz_user
          auth_protocol: md5
          auth_key: huawei123
          priv_protocol: des56
          priv_key: huawei123
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of aaa params after module execution Sample: {'snmp local user': {'local_user_info': []}, 'snmp usm user': {'usm_user_info': [{'aclNumber': '2000', 'engineID': '800007DB03389222111200', 'groupName': 'wdz_group', 'userName': 'wdz_snmp'}]}}
existing dictionary | always | k/v pairs of existing aaa server Sample: {'snmp local user': {'local_user_info': []}, 'snmp usm user': {'usm_user_info': []}}
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'acl_number': '2000', 'remote_engine_id': '800007DB03389222111200', 'state': 'present', 'user_group': 'wdz_group', 'usm_user_name': 'wdz_snmp'}
updates list | always | command sent to the device Sample: ['snmp-agent remote-engineid 800007DB03389222111200 usm-user v3 wdz_snmp wdz_group acl 2000']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- wangdezhuang (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.